# List all application fees

Returns a list of application fees you’ve previously collected. The application fees are returned in sorted order, with the most recent fees appearing first.

## Request

```curl
curl -G https://api.stripe.com/v1/application_fees \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-06-30.preview" \
  -d limit=3
```

### Response

```json
{
  "object": "list",
  "url": "/v1/application_fees",
  "has_more": false,
  "data": [
    {
      "id": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
      "object": "application_fee",
      "account": "acct_164wxjKbnvuxQXGu",
      "amount": 105,
      "amount_refunded": 105,
      "application": "ca_32D88BD1qLklliziD7gYQvctJIhWBSQ7",
      "balance_transaction": "txn_1032HU2eZvKYlo2CEPtcnUvl",
      "charge": "ch_1B73DOKbnvuxQXGurbwPqzsu",
      "created": 1506609734,
      "currency": "gbp",
      "livemode": false,
      "originating_transaction": null,
      "refunded": true,
      "refunds": {
        "object": "list",
        "data": [
          {
            "id": "fr_1MBoV6KbnvuxQXGucP0PaPPO",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670284508,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1MBoU0KbnvuxQXGu2wCCz4Bb",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670284441,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1MBoRzKbnvuxQXGuvKkBKkSR",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670284315,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1MBoPOKbnvuxQXGueOBnke22",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670284154,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1MBoOGKbnvuxQXGu6EPQI2Zp",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670284084,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1MBoMUKbnvuxQXGu8Y0Peaoy",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670283974,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1MAgZBKbnvuxQXGuLTUrgGeq",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1670015681,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_1JAu9EKbnvuxQXGuRdZYkxVW",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1625738880,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {
              "order_id": "6735"
            }
          },
          {
            "id": "fr_1HZK0UKbnvuxQXGuS428gH0W",
            "object": "fee_refund",
            "amount": 0,
            "balance_transaction": null,
            "created": 1602005482,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          },
          {
            "id": "fr_D0s7fGBKB40Twy",
            "object": "fee_refund",
            "amount": 138,
            "balance_transaction": "txn_1CaqNg2eZvKYlo2C75cA3Euk",
            "created": 1528486576,
            "currency": "usd",
            "fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
            "metadata": {}
          }
        ],
        "has_more": false,
        "url": "/v1/application_fees/fee_1B73DOKbnvuxQXGuhY8Aw0TN/refunds"
      },
      "fee_source": {
        "charge": "ch_1B73DOKbnvuxQXGurbwPqzsu",
        "type": "charge"
      }
    }
  ]
}
```

## Returns

A dictionary with a `data` property that contains an array of up to `limit` application fees, starting after application fee `starting_after`. Each entry in the array is a separate application fee object. If no more fees are available, the resulting array will be empty.

## Parameters

- `charge` (string, optional)
  Only return application fees for the charge specified by this charge ID.

- [`created`](https://docs.stripe.com/api/application_fees/list.md?query=created) (object, optional)
  Only return applications fees that were created during the given date interval.

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
